#!/usr/bin/env bash
source ./funcs.sh

if [ "$(id -u)" -ne 0 ]; then
  exit 1
fi

installAtsFiles
installNodeServiceFile
update_os_search_path
install_bbr

install -D --group=0 --owner=0 --mode=0751 node /opt/ats/bin/node || {
  exit 20
}

export allow_list='0.0.0.0/0'

./updateKit config gen config.toml /opt/ats/etc/node/config.toml || {
  exit 21
}

installNodeServiceFile
./updateKit toml set /opt/ats/etc/node/config.toml initialization "false"

systemctl start node.service

install_bbr

install_ip_resource $(take_ip_resource)
